# Uses of Class
org.eclipse.swt.graphics.Cursor

Packages that use Cursor
Package
Description
org.eclipse.rap.rwt.remote
org.eclipse.swt.widgets

## Uses of Cursor in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote with parameters of type Cursor
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(Cursor cursor)`
Returns the JSON representation for the given Cursor.

## Uses of Cursor in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Cursor
Modifier and Type
Method
Description
`Cursor`
Control.`getCursor()`
Returns the receiver's cursor, or null if it has not been set.
`Cursor`
Display.`getSystemCursor(int id)`
Returns the matching standard platform cursor for the given constant, which should be one of the cursor constants specified in class `SWT`.
Methods in org.eclipse.swt.widgets with parameters of type Cursor
Modifier and Type
Method
Description
`void`
Control.`setCursor(Cursor cursor)`
Sets the receiver's cursor to the cursor specified by the argument, or to the default cursor for that kind of control if the argument is null.